# SoCameraKit Class Reference
[Node Kits]

`#include <Inventor/nodekits/SoCameraKit.h>`

Inheritance diagram for SoCameraKit:

List of all members.

## Detailed Description

The SoCameraKit class is a node kit with a transform and a camera.

Node kit structure (new entries versus parent class marked with arrow prefix):

      CLASS SoCameraKit
      -->"this"
            "callbackList"
      -->   "transformGroup"
      -->      "transform"
      -->      "camera"

(See SoBaseKit::printDiagram() for information about the output formatting.)

Detailed information on catalog parts:

      CLASS SoCameraKit
      PVT   "this",  SoCameraKit  ---
            "callbackList",  SoNodeKitListPart [ SoCallback, SoEventCallback ]
      PVT   "transformGroup",  SoTransformSeparator  ---
            "transform",  SoTransform  ---
            "camera",  SoCamera  --- , (default type = SoPerspectiveCamera)

(See SoBaseKit::printTable() for information about the output formatting.)

## Public Member Functions

| SoCameraKit (void)

## Static Public Member Functions

void | initClass (void)

## Protected Member Functions

virtual | ~SoCameraKit ()

## Constructor & Destructor Documentation

SoCameraKit::SoCameraKit | ( | void |  | ) |

| Constructor.

SoCameraKit::~SoCameraKit | ( |  | ) | `[protected, virtual]`

| Destructor.

## Member Function Documentation

void SoCameraKit::initClass | ( | void |  | ) | `[static]`

| Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system. Reimplemented from SoBaseKit.

The documentation for this class was generated from the following files:

- SoCameraKit.h
- SoCameraKit.cpp